global function GunTipsInit

int category = 0
int id = 1
int name = 2
int summary = 3
int details = 4

array<string> goodToKnowList = [
"The Hemlok no longer sucks, have at it!",
"The damage falloff of all SMGs has been made more severe.",
"The CAR has been nerfed overrall, but it actually does more headshot damage.",
"Sidearms are now only barely weaker than main weapons.",
"The EVA-8 fires no real bullets, damage is completely based on distance and angle.",
"The Doubletake is now able to one-shot, but only from far enough.",
"A-Wall only lasts 3.5 seconds and can take only 600 damage. But it can be used more often.",
"The Thunderbolt can now one-hit pilots, step aside EPG!",
"Some buffed weapons are the Doubletake, Mozambique and Hemlok.",
"Some buffed weapons are the B3 Wingman, Devotion and Cold War.",
"The buffed Ordnance are the Arc Grenade, Electric smoke and Satchel.",
"Holo now comes with a moment of cloak on decoy activation.",
"Health regen has been changed, it is slower but kicks in faster.",
"Fast Regen only heals 0.8 seconds sooner than without it.",
"Silencers no longer have a damage penalty.",
"When phasing, you can now cancel it early to recoup some if its cooldown.",
"Stim heals slower, but it now gives some health instantly on activation.",
"The Charge Rifle comes with less ammo, but it can now do close up titan crits for massive damage."
]


void function GunTipsInit(){
    FSU_RegisterCommand( "changes","\x1b[113m" + FSU_GetString("FSU_PREFIX") + "changes\x1b[0m View rebalance changes.", "edg", infoCommand, ["rebalance,nerfs,nerf,buff,buffs,changelog,change"] )
}

void function infoCommand( entity player, array < string > args ){

    if ( args.len() == 0 ){
        Chat_ServerPrivateMessage( player, "\x1b[38;5;196mNo argument provided\x1b[0m, correct format is \x1b[113m!changes arg\x1b[0m" + "\n" +
            "To see a summary of the changes to your loadout, use the word loadout as the argument." + "\n" +
            "Other valid summary arguments are ordnance, tactical, SMG, etc.",false)
        Chat_ServerPrivateMessage( player, "You can also enter the name of a specific item for full details on it." + "\n" +
            "\x1b[38;5;111mGood to know:\x1b[0m " + goodToKnowList[RandomIntRange( 0, goodToKnowList.len() - 1 )],false)
        return
    }

    string arg = args[0].tolower()

    if ( arg.find("load") != null ){
        provideLoadout( player )
        return
    }

    if ( arg.find("ordnan") != null || arg.find("tactic") != null || arg.find("gren") != null || arg.find("smg") != null || arg.find("lmg") != null || arg.find("assault") != null || arg == "ar" || arg == "ars" || arg.find("snipe") != null || arg.find("pisto") != null || arg.find("shot") != null || arg.find("sidearm") != null || arg.find("anti") != null ){
        provideTypeSummary( player, arg )
        return
    }

    provideItem( player, arg )
}


void function provideLoadout(entity player){
    array <int> itemIndex = []

    if ( !IsValid(player) || !IsAlive(player) || player.IsTitan() || player.GetMainWeapons().len() != 3 || player.GetOffhandWeapons().len() != 3 ) {
        Chat_ServerPrivateMessage( player, "\x1b[38;5;196mUnable to get your loadout, are you dead or in a titan?\x1b[0m", false)
        return
    }

    for(int i = 0; i < changeData.len(); i++){
        if( player.GetMainWeapons()[0].GetWeaponClassName().find( changeData[i][id] ) ){
            itemIndex = [i]
        }
    }
    for(int i = 0; i < changeData.len(); i++){
        if( player.GetMainWeapons()[1].GetWeaponClassName().find( changeData[i][id] ) ){
            itemIndex.append(i)
        }
    }
    for(int i = 0; i < changeData.len(); i++){
        if( player.GetMainWeapons()[2].GetWeaponClassName().find( changeData[i][id] ) ){
            itemIndex.append(i)
        }
    }
    for(int i = 0; i < changeData.len(); i++){
        if( player.GetOffhandWeapons()[0].GetWeaponClassName().find( changeData[i][id] ) ){
            itemIndex.append(i)
        }
    }
    for(int i = 0; i < changeData.len(); i++){
        if( player.GetOffhandWeapons()[1].GetWeaponClassName().find( changeData[i][id] ) ){
            itemIndex.append(i)
        }
    }

    Chat_ServerPrivateMessage( player, "\x1b[38;5;111mSummary of changes to your current loadout:\x1b[0m" ,false )
    foreach(int i in itemIndex){
        Chat_ServerPrivateMessage( player, changeData[i][summary] ,false )
    }
    Chat_ServerPrivateMessage( player, "\x1b[38;5;111mGood to know:\x1b[0m " +  goodToKnowList[RandomIntRange( 0, goodToKnowList.len() - 1 )],false)
}

void function provideTypeSummary(entity player, string arg){
    string message = ""
    string selectedType = ""
    array <int> itemIndex = []

    if ( arg.find("ordnan") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Ordnance:\x1b[0m"
        selectedType = "ordnance"
        print("thisran 7")
    }
    if ( arg.find("tactic") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Tacticals:\x1b[0m"
        selectedType = "tactical"
    }
    if ( arg.find("gren") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Grenades:\x1b[0m"
        selectedType = "grenadier"
    }
    if ( arg.find("smg") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to SMGs:\x1b[0m"
        selectedType = "smg"
    }
    if ( arg.find("lmg") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to LMGs:\x1b[0m"
        selectedType = "lmg"
    }
    if ( arg.find("assault") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Assault Rifles:\x1b[0m"
        selectedType = "ar"
    }
    if ( arg.find("ar") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Assault Rifles:\x1b[0m"
        selectedType = "ar"
    }
    if ( arg.find("snipe") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Snipers:\x1b[0m"
        selectedType = "sniper"
    }
    if ( arg.find("pisto") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Pistols:\x1b[0m"
        selectedType = "pistol"
    }
    if ( arg.find("shot") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Shotguns:\x1b[0m"
        selectedType = "shotgun"
    }
    if ( arg.find("sidearm") != null ){
        message = "\x1b[38;5;111mDisplaying summary of changes to Sidearms:\x1b[0m"
        selectedType = "sidearm"
    }
    if ( arg.find("anti") != null ){
        message = "\x1b[38;5;111mDisplaying summary of Anti-Titan weapon changes:\x1b[0m"
        selectedType = "antititan"
    }

    for(int i = 0; i < changeData.len(); i++){
        if( changeData[i][category].find(selectedType) != null ){
            itemIndex.append(i)
        }
    }

    Chat_ServerPrivateMessage( player, message ,false )
    foreach(int i in itemIndex){
        Chat_ServerPrivateMessage( player, changeData[i][summary] ,false )
    }
}

void function provideItem(entity player, string arg){
    int itemIndex = -1

    for(int i = 0; i < changeData.len(); i++){
        if( changeData[i][name].tolower().find(arg) != null ){
            itemIndex = i
        }
    }

    if(itemIndex != -1){
        Chat_ServerPrivateMessage( player, "\x1b[38;5;111m" + changeData[itemIndex][name] + ":\x1b[0m" ,false)
        foreach(string message in split(changeData[itemIndex][details], "\n" )){
            Chat_ServerPrivateMessage( player, message ,false)
        }
    }
    else
        Chat_ServerPrivateMessage( player, "\x1b[38;5;196mThere was no match for that argument.\x1b[0mt", false)
}
